#ifndef _RODENT_BOOKMARKS_H
#define _RODENT_BOOKMARKS_H

void
rodent_bookmark_set_menuitems(widgets_t *widgets_p, const gchar *id);
 
void *
rodent_bookmark_monitor(view_t *view_p, void *data);

gboolean
rodent_path_has_bookmark(const gchar *path);

GdkPixbuf *
rodent_get_bookmark_emblem(gint size);

gboolean
rodent_path_is_bookmarkable(const gchar *path);

gboolean
rodent_bookmarks_add(const gchar *path);

gboolean
rodent_bookmarks_remove(const gchar *path);

#endif
